Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Move tokens between custodial and external addresses. Only available for tokenization (self-attested) accounts.
POST /accounts/{account_id}/tokens/transfers
self_attested_tokens:transfer
Idempotency-Key
account_id
amount
source.address_id
source.value_type
MY_TOKEN
source.transfer_type
destination.address_id
destination.value_type
destination.transfer_type
curl --request POST \ --url https://api.brale.xyz/accounts/{account_id}/tokens/transfers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: <uuid>' \ --data '{ "amount": "1000.50", "source": { "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57", "value_type": "MY_TOKEN", "transfer_type": "base" }, "destination": { "address_id": "2srdkF6Sm8TWOJpWt1oNlTVes1w", "value_type": "MY_TOKEN", "transfer_type": "base" } }'
{ "id": "2XyTransferKsuid00000000000", "status": "pending", "amount": "1000.50", "source": { "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57", "value_type": "MY_TOKEN", "transfer_type": "base" }, "destination": { "address_id": "2srdkF6Sm8TWOJpWt1oNlTVes1w", "value_type": "MY_TOKEN", "transfer_type": "base" }, "created_at": "2025-01-15T12:00:00Z" }
{ "status": 400, "title": "Bad Request", "detail": "Source and destination value_type must match for a token transfer." }
Was this page helpful?